* {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica,
    Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  // font-size: 14px;
  color: #333;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  div,
  p,
  a,
  u,
  i,
  span {
    font-size: 14px;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 8px 0;
}

//   div {
//     width: 100%;
//     display: block;
//   }

.component-content {
  width: 100vh;
}

p {
  margin: 0;
}

.spacer {
  flex: 1;
}

.toolbar {
  height: 60px;
  margin: -8px;
  display: flex;
  align-items: center;
  background-color: #1976d2;
  color: white;
  font-weight: 600;
}

.toolbar img {
  margin: 0 16px;
}

.toolbar #twitter-logo {
  height: 40px;
  margin: 0 16px;
}

.toolbar #twitter-logo:hover {
  opacity: 0.8;
}

.content {
  display: flex;
  margin: 32px auto;
  padding: 0 16px;
  max-width: 960px;
  flex-direction: column;
  align-items: center;
}

svg.material-icons {
  height: 24px;
  width: auto;
}

svg.material-icons:not(:last-child) {
  margin-right: 8px;
}

.card svg.material-icons path {
  fill: #888;
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 16px;
  .card {
    display: flex;
    height: fit-content !important;
  }
}

.d-flex {
  display: flex !important;
}

.card {
  border-radius: 4px;
  border: 1px solid #eee;
  background-color: #fafafa;
  height: 40px;
  width: 200px;
  margin: 0 8px 16px;
  padding: 16px;
  display: inline-table;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: all 0.2s ease-in-out;
  line-height: 24px;
}

.card-container .card:not(:last-child) {
  margin-right: 0;
}

.card.card-small {
  height: 2rem;
  width: 18rem;
}

.card-container .card:not(.highlight-card) {
  cursor: pointer;
}

//   me
.card-container .card:not(.highlight-card):hover {
  transform: translateY(-3px);
  // box-shadow: 0 4px 17px rgba(black, 0.35);
  box-shadow: 0 4px 17px #f6c2be;
}

.card-container .card:not(.highlight-card):hover .material-icons path {
  fill: rgb(105, 103, 103);
}

.card.highlight-card {
  background-color: #1976d2;
  color: white;
  font-weight: 600;
  border: none;
  width: auto;
  min-width: 30%;
  position: relative;
}

.card.card.highlight-card span {
  margin-left: 60px;
}

.display-inline-grid {
  display: inline-grid;
}

.card.card-w-full {
  width: 100vh;
}

svg#rocket {
  width: 80px;
  position: absolute;
  left: -10px;
  top: -24px;
}

svg#rocket-smoke {
  height: 100vh;
  position: absolute;
  top: 10px;
  right: 180px;
  z-index: -10;
}

a,
a:visited,
a:hover {
  color: #1976d2;
  text-decoration: none;
}

a:hover {
  color: #125699;
}

//   .terminal {
//     position: relative;
//     width: 80%;
//     max-width: 600px;
//     border-radius: 6px;
//     padding-top: 45px;
//     margin-top: 8px;
//     overflow: hidden;
//     background-color: rgb(15, 15, 16);
//   }

//   .terminal::before {
//     content: "\2022 \2022 \2022";
//     position: absolute;
//     top: 0;
//     left: 0;
//     height: 4px;
//     background: rgb(58, 58, 58);
//     color: #c2c3c4;
//     width: 100%;
//     font-size: 2rem;
//     line-height: 0;
//     padding: 14px 0;
//     text-indent: 4px;
//   }

//   .terminal pre {
//     font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,monospace;
//     color: white;
//     padding: 0 1rem 1rem;
//     margin: 0;
//   }

.circle-link {
  height: 40px;
  width: 40px;
  border-radius: 40px;
  margin: 8px;
  background-color: white;
  border: 1px solid #eeeeee;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: 1s ease-out;
}

.circle-link:hover {
  transform: translateY(-0.25rem);
  box-shadow: 0px 3px 15px rgba(0, 0, 0, 0.2);
}

footer {
  margin-top: 8px;
  display: flex;
  align-items: center;
  line-height: 20px;
}

footer a {
  display: flex;
  align-items: center;
}

.github-star-badge {
  color: #24292e;
  display: flex;
  align-items: center;
  font-size: 12px;
  padding: 3px 10px;
  border: 1px solid rgba(27, 31, 35, 0.2);
  border-radius: 3px;
  background-image: linear-gradient(-180deg, #fafbfc, #eff3f6 90%);
  margin-left: 4px;
  font-weight: 600;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Helvetica, Arial,
    sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
}

.github-star-badge:hover {
  background-image: linear-gradient(-180deg, #f0f3f6, #e6ebf1 90%);
  border-color: rgba(27, 31, 35, 0.35);
  background-position: -0.5em;
}

.github-star-badge .material-icons {
  height: 16px;
  width: 16px;
  margin-right: 4px;
}

svg#clouds {
  position: fixed;
  bottom: -160px;
  left: -230px;
  z-index: -10;
  width: 1920px;
}
// ---------
.terminal {
  position: relative;
  // width: 80%;
  max-width: 600px;
  border-radius: 6px;
  padding-top: 45px;
  margin-top: 8px;
  overflow: hidden;
  background-color: rgb(15, 15, 16);
}

.terminal::before {
  content: "\2022 \2022 \2022";
  position: absolute;
  top: 0;
  left: 0;
  height: 4px;
  background: rgb(58, 58, 58);
  color: #c2c3c4;
  width: 100%;
  font-size: 2rem;
  line-height: 0;
  padding: 14px 0;
  text-indent: 4px;
}

.terminal pre {
  font-family: SFMono-Regular, Consolas, Liberation Mono, Menlo, monospace;
  color: white;
  padding: 0 1rem 1rem;
  margin: 0;
}
/* Responsive Styles */
@media screen and (max-width: 767px) {
  .card-container > *:not(.circle-link),
  .terminal {
    width: 100%;
  }

  .card:not(.highlight-card) {
    height: 16px;
    margin: 8px 0;
  }

  .card.highlight-card span {
    margin-left: 72px;
  }

  svg#rocket-smoke {
    right: 120px;
    transform: rotate(-5deg);
  }
}

.highlight-card-me {
  font-weight: 600;
  border: none;
  width: auto;
  position: relative;
  background-color: #f6c2be;
  border: 1px solid #ecb6b1 !important;
  color: #4f7192;
  width: auto;
  min-width: 30%;
  position: relative;
  img {
    width: 5rem;
    border-radius: 30rem;
    border: 1px solid #ecb6b1;
    position: absolute;
    left: -21%;
  }
  span {
    // margin-left: 60px;
  }
}

.terminal {
}

.text-center {
  text-align: center !important;
}

.btn {
  color: #ffffff;
  margin: 0.2rem;
  border: none;
  // display: inline-block;
  padding: 8px 16px;
  // vertical-align: middle;
  // text-decoration: none;
  text-align: center;
  cursor: pointer;
  // white-space: nowrap;
  border-radius: 0.55rem;

  &.green {
    background-color: #4caf50;
    &:hover {
      background-color: lighten(#4caf50, 10%);
      // inherit
      // initial
    }
  }
  &.gray {
    background-color: #b6bbb6;
    &:hover {
      background-color: lighten(#b6bbb6, 10%);
    }
  }
  // &:hover{
  // }
  &:active {
    font-size: smaller;
  }
}
.close-icon {
  content: url("../images/close_black_72x72.png");
  background-image: url('../images/close_black_72x72.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;

  width: 1rem;
  height: 1rem;
  position: absolute;
  right: 0.5rem;
  top: 0.3rem;
  opacity: 0;
  &.active {
    opacity: 1;
  }
}
.content-costom {
  display: flex;
  position: relative;
  div.cover-profile {
    width: 5rem;
    height: 5rem;
    border-radius: 30rem;
    border: 1px solid #ecb6b1;
    content: url("https://www.pngfind.com/pngs/m/229-2299784_anime-chibi-cat-otaku-hd-png-download.png");
  }
  input.text,
  .text {
    border: 0px;
    min-height: 2.5rem;
    max-width: 76vh;
    width: -webkit-fill-available;
    width: -moz-available;
    margin-left: 0.78rem;
    padding: 1rem;
    font-size: large;

    background-color: initial;
    border-radius: 1rem !important;
    border: 1px solid #edbfbb;
    &.text-view {
      align-self: center;
      border: 0px;
    }
  }
}

/* Responsive Styles */
@media screen and (max-width: 900px) {
  .card-container > *:not(.circle-link),
  .terminal {
    width: 100%;
  }

  .card.highlight-card-me span {
    margin-left: 1.5rem;
  }

  svg#rocket-smoke {
    right: 120px;
    transform: rotate(-5deg);
  }

  // .terminal{
  //     min-width: 105rem;
  // }
}

@media screen and (max-width: 700px) {
  .card.highlight-card-me span {
    margin-left: 2rem;
  }

  highlight-card-me {
    img {
      left: -21%;
    }
  }

  // .terminal{
  //     min-width: 10rem;
  // }
}

@media screen and (max-width: 670px) {
  .component-content {
    width: 74vh;
  }
}

// @media screen and (max-resolution: 300dpi) {

//   .component-content{
//     background-color: #125699
//   }

// }

.cover-profile {
  width: 5rem;
  height: 5rem;
  border-radius: 30rem;
  border: 1px solid #ecb6b1;
  // background-position: center;
  // background-repeat: no-repeat;
  // background-size: contain;
  &.git{
    content: url(https://gitlab.com/uploads/-/system/user/avatar/678356/avatar.png?width=400);
    // background-image: url('https://gitlab.com/uploads/-/system/user/avatar/678356/avatar.png?width=400, but scaled');
  }
  &.medium{
    // content: url(https://miro.medium.com/fit/c/256/256/0*PGZdVbYSb9_qDDsK.);
    // content: url(http://the-cma.com/wp-content/uploads/2016/09/medium_logo_detail_icon.png);
    content: url(https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcTcpFzRgV5Iq2FzqBRJlrnZWDKsRM08iJfjdXPLE_hPkpjwM7IR);
    // background-image: url('https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcTcpFzRgV5Iq2FzqBRJlrnZWDKsRM08iJfjdXPLE_hPkpjwM7IR');
  }
} 

.d-flex.center {
  align-items: center;
  flex-direction: column;
}

.profile-info {
  border: 1px dashed #f6c2be;
  border-radius: 2rem;
  // min-width: 20rem;
  padding: 2rem;
}

.cover-title {
  font-size: 1.88em;
  color: #274c48;
}
